Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class AuthorityURL

    java.lang.Object
      org.deegree.ogcbase.BaseURL
          org.deegree.ogcwebservices.wms.capabilities.AuthorityURL

    public class AuthorityURL

extends BaseURL

AuthorityURL encloses an element which states the URL of a document defining the meaning of the Identifier values.

Version:
  $Revision: 18195 $
Author:
  Katharina Lupp , Markus Schneider

Constructor Summary
`AuthorityURL(String name, URL onlineResource)` constructor initializing the class with the authorityURL

Method Summary
`String` | `getName()`
`void` | `setName(String name)` sets the name of the authority
`String` | `toString()`

Methods inherited from class org.deegree.ogcbase.BaseURL
`getFormat, getOnlineResource, setFormat, setOnlineResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorityURL

    public AuthorityURL(String name,
                        URL onlineResource)

  constructor initializing the class with the authorityURL

  Parameters:
    `name` -
    `onlineResource` -

Method Detail

### getName

    public String getName()

  Returns:
    the name of the authority

### setName

    public void setName(String name)

  sets the name of the authority

  Parameters:
    `name` -

### toString

    public String toString()

  Overrides:
    `toString` in class `BaseURL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org